Bug 184942 - Failed to build graphics/digikam-kde4 - /usr/bin/ld: cannot find -lpgf
Failed to build graphics/digikam-kde4 - /usr/bin/ld: cannot find -lpgf
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: kde
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-17 17:40 UTC by Mike Clarke
Modified: 2014-01-21 18:20 UTC (History)
0 users

See Also:


Attachments
file.txt (75.47 KB, text/plain)
2013-12-17 17:40 UTC, Mike Clarke
no flags Details
d (572 bytes, text/plain; charset=iso-8859-1)
2014-01-11 17:59 UTC, Thomas Quinot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Clarke 2013-12-17 17:40:00 UTC
All ports were updated after running portsnap on 16 December.

Attempts to build digikam-kde4 fail.

[0m[ 43%] [32mBuilding CXX object digikam/CMakeFiles/digikamdatabase.dir/__/libs/threadimageio/pgfutils.o
[0m[31m[1mLinking CXX shared library ../lib/libdigikamdatabase.so
[0m/usr/bin/ld: cannot find -lpgf
*** [lib/libdigikamdatabase.so.3.0.0] Error code 1

Stop in /usr/ports/graphics/digikam-kde4/work/digikam-3.2.0/core.
*** [digikam/CMakeFiles/digikamdatabase.dir/all] Error code 1


The complete log file is attached below.

Fix: Patch attached with submission follows:
How-To-Repeat: cd /usr/ports/graphics/digikam-kde4
make clean
make
Comment 1 Edwin Groothuis freebsd_committer 2013-12-17 17:40:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kde

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 graham 2014-01-07 07:16:46 UTC
Hey Edwin,

It looks like you attached the wrong file. That was the build log, not
the patch. Could you have another try, please.

Thanks,
    Graham
Comment 3 Thomas Quinot freebsd_committer 2014-01-11 17:59:06 UTC
The attached patch works around this failure.

Thomas.
Comment 4 graham 2014-01-13 11:00:58 UTC
Thanks for the patch to the patch, Thomas.

Unfortunately, it isn't correct - it patches the wrong CMakeLists.txt
file. It patches the one in the top level directory, when I should patch
the one in the core sub-directory. Perhaps you can have another go at it.

I've manually applied the patch to the correct file and can now
successfully build - hooray!

Thanks for your contribution.

Graham
Comment 5 dfilter freebsd_committer 2014-01-21 18:17:49 UTC
Author: makc
Date: Tue Jan 21 18:17:23 2014
New Revision: 340628
URL: http://svnweb.freebsd.org/changeset/ports/340628
QAT: https://qat.redports.org/buildarchive/r340628/

Log:
  - Update to digiKam and Kipi Plugins ports to 3.5.0
  - Add new kipi-plugin port for jalbumexport
  - Remove useless LATEST_LINK
  - Bring stage support
  - Convert to options helpers, new style LIB_DEPENDS
  - Add patch to fix linking with libpgf [1]
  
  PR:		ports/184942 [1]
  Reported by:	Mike Clarke <jmc-freebsd2 at milibyte.co.uk>

Added:
  head/graphics/digikam-kde4/files/patch-cmake__modules__FindPGF.cmake   (contents, props changed)
  head/graphics/kipi-plugin-jalbumexport/
  head/graphics/kipi-plugin-jalbumexport/Makefile   (contents, props changed)
  head/graphics/kipi-plugin-jalbumexport/pkg-plist   (contents, props changed)
Modified:
  head/graphics/Makefile
  head/graphics/digikam-kde4-doc/Makefile
  head/graphics/digikam-kde4-l10n/Makefile
  head/graphics/digikam-kde4-l10n/pkg-plist
  head/graphics/digikam-kde4/Makefile
  head/graphics/digikam-kde4/Makefile.common
  head/graphics/digikam-kde4/distinfo
  head/graphics/digikam-kde4/pkg-plist
  head/graphics/kipi-plugin-acquireimages/Makefile
  head/graphics/kipi-plugin-advancedslideshow/Makefile
  head/graphics/kipi-plugin-advancedslideshow/pkg-plist
  head/graphics/kipi-plugin-batchprocess/Makefile
  head/graphics/kipi-plugin-calendar/Makefile
  head/graphics/kipi-plugin-debianscreenshots/Makefile
  head/graphics/kipi-plugin-debianscreenshots/pkg-plist
  head/graphics/kipi-plugin-dngconverter/Makefile
  head/graphics/kipi-plugin-dngconverter/pkg-plist
  head/graphics/kipi-plugin-expoblending/Makefile
  head/graphics/kipi-plugin-expoblending/pkg-plist
  head/graphics/kipi-plugin-facebook/Makefile
  head/graphics/kipi-plugin-facebook/pkg-plist
  head/graphics/kipi-plugin-flashexport/Makefile
  head/graphics/kipi-plugin-flashexport/pkg-plist
  head/graphics/kipi-plugin-flickrexport/Makefile
  head/graphics/kipi-plugin-flickrexport/pkg-plist
  head/graphics/kipi-plugin-galleryexport/Makefile
  head/graphics/kipi-plugin-galleryexport/pkg-plist
  head/graphics/kipi-plugin-gpssync/Makefile
  head/graphics/kipi-plugin-gpssync/pkg-plist
  head/graphics/kipi-plugin-htmlexport/Makefile
  head/graphics/kipi-plugin-imageshackexport/Makefile
  head/graphics/kipi-plugin-imageshackexport/pkg-plist
  head/graphics/kipi-plugin-imageviewer/Makefile
  head/graphics/kipi-plugin-imageviewer/pkg-plist
  head/graphics/kipi-plugin-imgurexport/Makefile
  head/graphics/kipi-plugin-imgurexport/pkg-plist
  head/graphics/kipi-plugin-ipodexport/Makefile
  head/graphics/kipi-plugin-jpeglossless/Makefile
  head/graphics/kipi-plugin-kioexport/Makefile
  head/graphics/kipi-plugin-kmlexport/Makefile
  head/graphics/kipi-plugin-kopete/Makefile
  head/graphics/kipi-plugin-mediawiki/Makefile
  head/graphics/kipi-plugin-mediawiki/pkg-plist
  head/graphics/kipi-plugin-metadataedit/Makefile
  head/graphics/kipi-plugin-metadataedit/pkg-plist
  head/graphics/kipi-plugin-panorama/Makefile
  head/graphics/kipi-plugin-panorama/pkg-plist
  head/graphics/kipi-plugin-photolayoutseditor/Makefile
  head/graphics/kipi-plugin-photolayoutseditor/pkg-plist
  head/graphics/kipi-plugin-picasawebexport/Makefile
  head/graphics/kipi-plugin-picasawebexport/pkg-plist
  head/graphics/kipi-plugin-piwigoexport/Makefile
  head/graphics/kipi-plugin-piwigoexport/pkg-plist
  head/graphics/kipi-plugin-printimages/Makefile
  head/graphics/kipi-plugin-rajceexport/Makefile
  head/graphics/kipi-plugin-rajceexport/pkg-plist
  head/graphics/kipi-plugin-rawconverter/Makefile
  head/graphics/kipi-plugin-removeredeyes/Makefile
  head/graphics/kipi-plugin-sendimages/Makefile
  head/graphics/kipi-plugin-shwup/Makefile
  head/graphics/kipi-plugin-shwup/pkg-plist
  head/graphics/kipi-plugin-smug/Makefile
  head/graphics/kipi-plugin-smug/pkg-plist
  head/graphics/kipi-plugin-timeadjust/Makefile
  head/graphics/kipi-plugin-timeadjust/pkg-plist
  head/graphics/kipi-plugin-videoslideshow/Makefile
  head/graphics/kipi-plugin-vkontakte/Makefile
  head/graphics/kipi-plugin-yandexfotki/Makefile
  head/graphics/kipi-plugins-kde4/Makefile
  head/graphics/libkface/Makefile
  head/graphics/libkface/pkg-plist   (contents, props changed)
  head/graphics/libkipiplugins/Makefile

Modified: head/graphics/Makefile
==============================================================================
--- head/graphics/Makefile	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/Makefile	Tue Jan 21 18:17:23 2014	(r340628)
@@ -440,6 +440,7 @@
     SUBDIR += kipi-plugin-imageviewer
     SUBDIR += kipi-plugin-imgurexport
     SUBDIR += kipi-plugin-ipodexport
+    SUBDIR += kipi-plugin-jalbumexport
     SUBDIR += kipi-plugin-jpeglossless
     SUBDIR += kipi-plugin-kioexport
     SUBDIR += kipi-plugin-kmlexport

Modified: head/graphics/digikam-kde4-doc/Makefile
==============================================================================
--- head/graphics/digikam-kde4-doc/Makefile	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/digikam-kde4-doc/Makefile	Tue Jan 21 18:17:23 2014	(r340628)
@@ -7,11 +7,9 @@ CATEGORIES=	graphics kde
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Documentation for digiKam, showFoto, and Kipi-plugins
 
-LATEST_LINK=	digikam-kde4-doc
 CONFLICTS_INSTALL=	digikam-2.* kipi-plugins-2.* 
 
 WRKSRC=		${WRKDIR}/${DISTNAME}/doc
 
-NO_STAGE=	yes
 .include "${.CURDIR}/../digikam-kde4/Makefile.common"
 .include <bsd.port.mk>

Modified: head/graphics/digikam-kde4-l10n/Makefile
==============================================================================
--- head/graphics/digikam-kde4-l10n/Makefile	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/digikam-kde4-l10n/Makefile	Tue Jan 21 18:17:23 2014	(r340628)
@@ -7,13 +7,11 @@ CATEGORIES=	graphics kde
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	l10n for digiKam, showFoto, and Kipi-plugins
 
-LATEST_LINK=	digikam-kde4-l10n
 CONFLICTS_INSTALL=	digikam-2.* kipi-plugins-2.* libkgeomap-2.*
 
 USES=		gettext:build
 WRKSRC=		${WRKDIR}/${DISTNAME}/po
 
-NO_STAGE=	yes
 pre-configure:
 # avoid conflicts with kde4-l10n ports:
 	${RM} ${WRKSRC}/*/libkipi.po

Modified: head/graphics/digikam-kde4-l10n/pkg-plist
==============================================================================
--- head/graphics/digikam-kde4-l10n/pkg-plist	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/digikam-kde4-l10n/pkg-plist	Tue Jan 21 18:17:23 2014	(r340628)
@@ -491,12 +491,27 @@ share/locale/hu/LC_MESSAGES/kipiplugin_a
 share/locale/hu/LC_MESSAGES/kipiplugin_advancedslideshow.mo
 share/locale/hu/LC_MESSAGES/kipiplugin_batchprocessimages.mo
 share/locale/hu/LC_MESSAGES/kipiplugin_calendar.mo
+share/locale/hu/LC_MESSAGES/kipiplugin_dngconverter.mo
+share/locale/hu/LC_MESSAGES/kipiplugin_expoblending.mo
 share/locale/hu/LC_MESSAGES/kipiplugin_facebook.mo
+share/locale/hu/LC_MESSAGES/kipiplugin_flashexport.mo
+share/locale/hu/LC_MESSAGES/kipiplugin_flickrexport.mo
+share/locale/hu/LC_MESSAGES/kipiplugin_galleryexport.mo
+share/locale/hu/LC_MESSAGES/kipiplugin_gpssync.mo
 share/locale/hu/LC_MESSAGES/kipiplugin_htmlexport.mo
 share/locale/hu/LC_MESSAGES/kipiplugin_imageviewer.mo
 share/locale/hu/LC_MESSAGES/kipiplugin_ipodexport.mo
 share/locale/hu/LC_MESSAGES/kipiplugin_jpeglossless.mo
 share/locale/hu/LC_MESSAGES/kipiplugin_kioexportimport.mo
+share/locale/hu/LC_MESSAGES/kipiplugin_metadataedit.mo
+share/locale/hu/LC_MESSAGES/kipiplugin_picasawebexport.mo
+share/locale/hu/LC_MESSAGES/kipiplugin_piwigoexport.mo
+share/locale/hu/LC_MESSAGES/kipiplugin_printimages.mo
+share/locale/hu/LC_MESSAGES/kipiplugin_rawconverter.mo
+share/locale/hu/LC_MESSAGES/kipiplugin_removeredeyes.mo
+share/locale/hu/LC_MESSAGES/kipiplugin_sendimages.mo
+share/locale/hu/LC_MESSAGES/kipiplugin_shwup.mo
+share/locale/hu/LC_MESSAGES/kipiplugin_smug.mo
 share/locale/hu/LC_MESSAGES/kipiplugin_timeadjust.mo
 share/locale/hu/LC_MESSAGES/kipiplugins.mo
 share/locale/hu/LC_MESSAGES/libkgeomap.mo
@@ -586,6 +601,7 @@ share/locale/ja/LC_MESSAGES/kipiplugin_s
 share/locale/ja/LC_MESSAGES/kipiplugin_timeadjust.mo
 share/locale/ja/LC_MESSAGES/kipiplugins.mo
 share/locale/ja/LC_MESSAGES/libkgeomap.mo
+share/locale/kk/LC_MESSAGES/libkgeomap.mo
 share/locale/km/LC_MESSAGES/digikam.mo
 share/locale/km/LC_MESSAGES/kipiplugin_acquireimages.mo
 share/locale/km/LC_MESSAGES/kipiplugin_advancedslideshow.mo
@@ -945,6 +961,7 @@ share/locale/ru/LC_MESSAGES/kipiplugin_s
 share/locale/ru/LC_MESSAGES/kipiplugin_smug.mo
 share/locale/ru/LC_MESSAGES/kipiplugin_timeadjust.mo
 share/locale/ru/LC_MESSAGES/kipiplugins.mo
+share/locale/ru/LC_MESSAGES/libkgeomap.mo
 share/locale/se/LC_MESSAGES/digikam.mo
 share/locale/se/LC_MESSAGES/kipiplugin_jpeglossless.mo
 share/locale/se/LC_MESSAGES/kipiplugin_timeadjust.mo

Modified: head/graphics/digikam-kde4/Makefile
==============================================================================
--- head/graphics/digikam-kde4/Makefile	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/digikam-kde4/Makefile	Tue Jan 21 18:17:23 2014	(r340628)
@@ -3,14 +3,12 @@
 
 PORTNAME=	digikam
 PORTVERSION=	${DIGIKAM_VER}
-PORTREVISION=	1
 PORTEPOCH=	1
 CATEGORIES=	graphics kde
 
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	KDE4 digital photo management application
 
-NO_STAGE=	yes
 .include "${.CURDIR}/Makefile.common"
 
 BUILD_DEPENDS=	${LOCALBASE}/include/eigen3/Eigen/Eigen:${PORTSDIR}/math/eigen3
@@ -25,57 +23,36 @@ LIB_DEPENDS=	libtiff.so:${PORTSDIR}/grap
 		libkgeomap.so:${PORTSDIR}/astro/libkgeomap \
 		libboost_graph.so:${PORTSDIR}/devel/boost-libs
 
-LATEST_LINK=	${PORTNAME}-kde4
+USES+=		pkgconfig shebangfix
+USE_KDE4+=	libkdcraw libkexiv2 libkipi
+USE_QT4+=	sql-sqlite3_run
+USE_LDCONFIG=	yes
+CMAKE_ARGS+=	-DWITH_Sqlite2=off
+
+WRKSRC=		${WRKDIR}/${DISTNAME}/core
+SHEBANG_FILES=	utilities/scripts/digitaglinktree/digitaglinktree
 
 OPTIONS_DEFINE=		DOCS NLS GPHOTO2 PIMLIBS MYSQL
 OPTIONS_DEFAULT=	GPHOTO2 PIMLIBS
 NO_OPTIONS_SORT=	yes
+OPTIONS_SUB=		yes # MYSQL
 
-GPHOTO2_DESC=		Enable gphoto2 camera support
-PIMLIBS_DESC=		Enable address book support
-
-USES+=		pkgconfig
-USE_KDE4+=	libkdcraw libkexiv2 libkipi
-USE_QT4+=	sql-sqlite3_run
-USE_LDCONFIG=	yes
-CMAKE_ARGS+=	-DWITH_Sqlite2=off
+DOCS_RUN_DEPENDS=	digikam-doc>=${DIGIKAM_VER}:${PORTSDIR}/graphics/digikam-kde4-doc
 
-MAN1=		digitaglinktree.1 \
-		cleanup_digikamdb.1
+NLS_RUN_DEPENDS=	digikam-l10n>=${DIGIKAM_VER}:${PORTSDIR}/graphics/digikam-kde4-l10n
 
-WRKSRC=		${WRKDIR}/${DISTNAME}/core
+GPHOTO2_DESC=		Enable gphoto2 camera support
+GPHOTO2_LIB_DEPENDS=	libgphoto2.so:${PORTSDIR}/graphics/libgphoto2
+GPHOTO2_CMAKE_OFF=	-DWITH_Gphoto2:BOOL=OFF
 
-.include <bsd.port.options.mk>
+PIMLIBS_DESC=		Enable address book support
+PIMLIBS_USE=		KDE4=pimlibs
+PIMLIBS_CMAKE_OFF=	-DWITH_KdepimLibs:BOOL=OFF
 
-.if ${PORT_OPTIONS:MNLS}
-RUN_DEPENDS+=	digikam-l10n>=${DIGIKAM_VER}:${PORTSDIR}/graphics/digikam-kde4-l10n
-.endif
-
-.if ${PORT_OPTIONS:MDOCS}
-RUN_DEPENDS+=	digikam-doc>=${DIGIKAM_VER}:${PORTSDIR}/graphics/digikam-kde4-doc
-.endif
-
-.if ${PORT_OPTIONS:MGPHOTO2}
-LIB_DEPENDS+=	libgphoto2.so:${PORTSDIR}/graphics/libgphoto2
-.else
-CMAKE_ARGS+=	-DWITH_Gphoto2:BOOL=OFF
-.endif
-
-.if ${PORT_OPTIONS:MPIMLIBS}
-USE_KDE4+=	pimlibs
-.else
-CMAKE_ARGS+=	-DWITH_KdepimLibs:BOOL=OFF
-.endif
-
-.if ${PORT_OPTIONS:MMYSQL}
-USE_MYSQL=	server
-USE_QT4+=	sql-mysql_run
-CMAKE_ARGS+=	-DMYSQLD_PATH:PATH=${LOCALBASE}/libexec \
-		-DMYSQL_TOOLS_PATH:PATH=${LOCALBASE}/bin
-PLIST_SUB+=	MYSQL=""
-.else
-CMAKE_ARGS+=	-DENABLE_INTERNALMYSQL:BOOL=OFF
-PLIST_SUB+=	MYSQL="@comment "
-.endif
+MYSQL_USE=		MYSQL=server
+MYSQL_USE=		QT4=sql-mysql_run
+MYSQL_CMAKE_ON= 	-DMYSQLD_PATH:PATH=${LOCALBASE}/libexec \
+			-DMYSQL_TOOLS_PATH:PATH=${LOCALBASE}/bin
+MYSQL_CMAKE_OFF=	-DENABLE_INTERNALMYSQL:BOOL=OFF
 
 .include <bsd.port.mk>

Modified: head/graphics/digikam-kde4/Makefile.common
==============================================================================
--- head/graphics/digikam-kde4/Makefile.common	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/digikam-kde4/Makefile.common	Tue Jan 21 18:17:23 2014	(r340628)
@@ -12,7 +12,7 @@
 #	net/libkvkontakte
 #	net/libmediawiki
 
-DIGIKAM_VER=	3.2.0
+DIGIKAM_VER=	3.5.0
 MASTER_SITES=	${MASTER_SITE_KDE}
 MASTER_SITE_SUBDIR=	stable/digikam
 
@@ -33,6 +33,7 @@ KIPI_PLUGINS_ALL=	acquireimages \
 			imageviewer \
 			imgurexport \
 			ipodexport \
+			jalbumexport \
 			jpeglossless \
 			kioexport \
 			kmlexport \
@@ -75,13 +76,14 @@ expoblending_DESC=	Create pseudo HDR ima
 facebook_DESC=		Import/export images to/from a remote Facebook web service
 flashexport_DESC=	Export images to Flash using SimpleViewer
 flickrexport_DESC=	Export images to a remote Flickr based web service
-gpssync_DESC=		Geolocalize pictures
+gpssync_DESC=		Geolocalize images
 galleryexport_DESC=	Export images to a remote Gallery
 htmlexport_DESC=	Export images collections into a static XHTML page
 imageshackexport_DESC=	Export images to ImageShack web service
 imageviewer_DESC=	Preview images using OpenGL
 imgurexport_DESC=	Export images to ImgUr web service
-ipodexport_DESC=	Export pictures to an Ipod device
+ipodexport_DESC=	Export images to an Ipod device
+jalbumexport_DESC=	Export images to jAlbum
 jpeglossless_DESC=	Rotate/flip images without losing quality
 kioexport_DESC=		Export images to remote computer using network protocol
 kmlexport_DESC=		Create KML files to present images with coordinates
@@ -130,7 +132,7 @@ USES+=		pkgconfig
 
 .if ${KIPI_PLUGIN} != "libkipiplugins"
 EXTRA_PATCHES=	${.CURDIR}/../../graphics/kipi-plugins-kde4/files/extrapatch-CMakeLists.txt
-LIB_DEPENDS+=	kipiplugins:${PORTSDIR}/graphics/libkipiplugins
+LIB_DEPENDS+=	libkipiplugins.so:${PORTSDIR}/graphics/libkipiplugins
 .endif
 
 WRKSRC=		${WRKDIR}/${DISTNAME}/extra/kipi-plugins

Modified: head/graphics/digikam-kde4/distinfo
==============================================================================
--- head/graphics/digikam-kde4/distinfo	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/digikam-kde4/distinfo	Tue Jan 21 18:17:23 2014	(r340628)
@@ -1,2 +1,2 @@
-SHA256 (digikam-3.2.0.tar.bz2) = bd7204d42c4ef73f22e757ba5daa334073bd02ccc054c31780786d2b1a2a481a
-SIZE (digikam-3.2.0.tar.bz2) = 58449068
+SHA256 (digikam-3.5.0.tar.bz2) = 57bd2aa4fdde44333d1362b02b26ebf6c1a70675bf5cb40de5172df02857c42a
+SIZE (digikam-3.5.0.tar.bz2) = 65698806

Added: head/graphics/digikam-kde4/files/patch-cmake__modules__FindPGF.cmake
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/digikam-kde4/files/patch-cmake__modules__FindPGF.cmake	Tue Jan 21 18:17:23 2014	(r340628)
@@ -0,0 +1,46 @@
+--- ./cmake/modules/FindPGF.cmake.orig	2013-10-01 06:23:25.000000000 +0000
++++ ./cmake/modules/FindPGF.cmake	2014-01-20 22:29:10.782525688 +0000
+@@ -4,24 +4,28 @@
+ #  PGF_FOUND            - system has libgf
+ #  PGF_INCLUDE_DIRS     - the libpgf include directory
+ #  PGF_LIBRARIES        - Link these to use libpgf
+-#  PGF_CODEC_VERSION_ID - PGF codec version ID.
+ 
+-FIND_PACKAGE(PkgConfig)
++find_package(PkgConfig)
+ 
+-IF(PKG_CONFIG_FOUND)
++if(PKG_CONFIG_FOUND)
++    pkg_check_modules(PC_PGF QUIET libpgf)
++endif(PKG_CONFIG_FOUND)
+ 
+-    PKG_CHECK_MODULES(PGF libpgf)
++find_path(PGF_INCLUDE_DIRS NAMES PGFimage.h
++  PATHS
++  ${PC_PGF_INCLUDEDIR}
++  ${PC_PGF_INCLUDE_DIRS}
++)
+ 
+-    IF(PGF_FOUND)
+-        MESSAGE(STATUS "PGF_INCLUDE_DIRS     = ${PGF_INCLUDE_DIRS}")
+-        MESSAGE(STATUS "PGF_INCLUDEDIR       = ${PGF_INCLUDEDIR}")
+-        MESSAGE(STATUS "PGF_LIBRARIES        = ${PGF_LIBRARIES}")
+-        MESSAGE(STATUS "PGF_LDFLAGS          = ${PGF_LDFLAGS}")
+-        MESSAGE(STATUS "PGF_CFLAGS           = ${PGF_CFLAGS}")
+-        MESSAGE(STATUS "PGF_VERSION          = ${PGF_VERSION}")
++find_library(PGF_LIBRARIES NAMES pgf
++  PATHS
++  ${PC_PGF_LIBDIR}
++  ${PC_PGF_LIBRARY_DIRS}
++)
+ 
+-        STRING(REPLACE "." "" PGF_CODEC_VERSION_ID "${PGF_VERSION}")
+-        MESSAGE(STATUS "PGF_CODEC_VERSION_ID = ${PGF_CODEC_VERSION_ID}")
+-    ENDIF(PGF_FOUND)
++include(FindPackageHandleStandardArgs)
++find_package_handle_standard_args(pgf
++  REQUIRED_VARS PGF_LIBRARIES PGF_INCLUDE_DIRS
++)
+ 
+-ENDIF(PKG_CONFIG_FOUND)
++mark_as_advanced(PGF_INCLUDE_DIRS PGF_LIBRARIES)

Modified: head/graphics/digikam-kde4/pkg-plist
==============================================================================
--- head/graphics/digikam-kde4/pkg-plist	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/digikam-kde4/pkg-plist	Tue Jan 21 18:17:23 2014	(r340628)
@@ -19,18 +19,13 @@ lib/libdigikamcore.so.3.0.0
 lib/libdigikamdatabase.so
 lib/libdigikamdatabase.so.3
 lib/libdigikamdatabase.so.3.0.0
+man/man1/cleanup_digikamdb.1.gz
+man/man1/digitaglinktree.1.gz
 share/applications/kde4/digikam.desktop
 share/applications/kde4/showfoto.desktop
 share/apps/digikam/about/digikam.css
 share/apps/digikam/about/main.html
 share/apps/digikam/about/top-left-digikam.png
-share/apps/digikam/data/assistant-collection.png
-share/apps/digikam/data/assistant-metadata.png
-share/apps/digikam/data/assistant-openfile.png
-share/apps/digikam/data/assistant-preview.png
-share/apps/digikam/data/assistant-rawimport.png
-share/apps/digikam/data/assistant-scancollection.png
-share/apps/digikam/data/assistant-tooltips.png
 share/apps/digikam/data/banner-digikam.png
 share/apps/digikam/data/bluejean-texture.png
 share/apps/digikam/data/bothhorz.png

Modified: head/graphics/kipi-plugin-acquireimages/Makefile
==============================================================================
--- head/graphics/kipi-plugin-acquireimages/Makefile	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-acquireimages/Makefile	Tue Jan 21 18:17:23 2014	(r340628)
@@ -10,6 +10,5 @@ COMMENT=	${${KIPI_PLUGIN}_DESC}
 USE_KDE4=	libksane
 
 KIPI_PLUGIN=	acquireimages
-NO_STAGE=	yes
 .include "${.CURDIR}/../digikam-kde4/Makefile.common"
 .include <bsd.port.mk>

Modified: head/graphics/kipi-plugin-advancedslideshow/Makefile
==============================================================================
--- head/graphics/kipi-plugin-advancedslideshow/Makefile	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-advancedslideshow/Makefile	Tue Jan 21 18:17:23 2014	(r340628)
@@ -11,6 +11,5 @@ USE_GL=		glu
 USE_XORG=	xrandr
 
 KIPI_PLUGIN=	advancedslideshow
-NO_STAGE=	yes
 .include "${.CURDIR}/../digikam-kde4/Makefile.common"
 .include <bsd.port.mk>

Modified: head/graphics/kipi-plugin-advancedslideshow/pkg-plist
==============================================================================
--- head/graphics/kipi-plugin-advancedslideshow/pkg-plist	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-advancedslideshow/pkg-plist	Tue Jan 21 18:17:23 2014	(r340628)
@@ -1,4 +1,4 @@
 lib/kde4/kipiplugin_advancedslideshow.so
 share/apps/kipi/kipiplugin_advancedslideshowui.rc
-share/icons/hicolor/32x32/actions/slideshow.png
+share/icons/hicolor/32x32/apps/kipi-slideshow.png
 share/kde4/services/kipiplugin_advancedslideshow.desktop

Modified: head/graphics/kipi-plugin-batchprocess/Makefile
==============================================================================
--- head/graphics/kipi-plugin-batchprocess/Makefile	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-batchprocess/Makefile	Tue Jan 21 18:17:23 2014	(r340628)
@@ -8,6 +8,5 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${KIPI_PLUGIN}_DESC}
 
 KIPI_PLUGIN=	batchprocess
-NO_STAGE=	yes
 .include "${.CURDIR}/../digikam-kde4/Makefile.common"
 .include <bsd.port.mk>

Modified: head/graphics/kipi-plugin-calendar/Makefile
==============================================================================
--- head/graphics/kipi-plugin-calendar/Makefile	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-calendar/Makefile	Tue Jan 21 18:17:23 2014	(r340628)
@@ -10,6 +10,5 @@ COMMENT=	${${KIPI_PLUGIN}_DESC}
 USE_KDE4=	pimlibs
 
 KIPI_PLUGIN=	calendar
-NO_STAGE=	yes
 .include "${.CURDIR}/../digikam-kde4/Makefile.common"
 .include <bsd.port.mk>

Modified: head/graphics/kipi-plugin-debianscreenshots/Makefile
==============================================================================
--- head/graphics/kipi-plugin-debianscreenshots/Makefile	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-debianscreenshots/Makefile	Tue Jan 21 18:17:23 2014	(r340628)
@@ -7,9 +7,8 @@ CATEGORIES=	graphics kde
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${KIPI_PLUGIN}_DESC}
 
-LIB_DEPENDS=	qjson:${PORTSDIR}/devel/qjson
+LIB_DEPENDS=	libqjson.so:${PORTSDIR}/devel/qjson
 
 KIPI_PLUGIN=	debianscreenshots
-NO_STAGE=	yes
 .include "${.CURDIR}/../digikam-kde4/Makefile.common"
 .include <bsd.port.mk>

Modified: head/graphics/kipi-plugin-debianscreenshots/pkg-plist
==============================================================================
--- head/graphics/kipi-plugin-debianscreenshots/pkg-plist	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-debianscreenshots/pkg-plist	Tue Jan 21 18:17:23 2014	(r340628)
@@ -1,8 +1,8 @@
 lib/kde4/kipiplugin_debianscreenshots.so
 share/apps/kipi/kipiplugin_debianscreenshotsui.rc
-share/icons/hicolor/16x16/actions/debianscreenshots.png
-share/icons/hicolor/22x22/actions/debianscreenshots.png
-share/icons/hicolor/32x32/actions/debianscreenshots.png
-share/icons/hicolor/48x48/actions/debianscreenshots.png
-share/icons/hicolor/scalable/actions/debianscreenshots.svgz
+share/icons/hicolor/16x16/apps/kipi-debianscreenshots.png
+share/icons/hicolor/22x22/apps/kipi-debianscreenshots.png
+share/icons/hicolor/32x32/apps/kipi-debianscreenshots.png
+share/icons/hicolor/48x48/apps/kipi-debianscreenshots.png
+share/icons/hicolor/scalable/apps/kipi-debianscreenshots.svgz
 share/kde4/services/kipiplugin_debianscreenshots.desktop

Modified: head/graphics/kipi-plugin-dngconverter/Makefile
==============================================================================
--- head/graphics/kipi-plugin-dngconverter/Makefile	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-dngconverter/Makefile	Tue Jan 21 18:17:23 2014	(r340628)
@@ -7,9 +7,8 @@ CATEGORIES=	graphics kde
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${KIPI_PLUGIN}_DESC}
 
-LIB_DEPENDS=	expat:${PORTSDIR}/textproc/expat2
+LIB_DEPENDS=	libexpat.so:${PORTSDIR}/textproc/expat2
 
 KIPI_PLUGIN=	dngconverter
-NO_STAGE=	yes
 .include "${.CURDIR}/../digikam-kde4/Makefile.common"
 .include <bsd.port.mk>

Modified: head/graphics/kipi-plugin-dngconverter/pkg-plist
==============================================================================
--- head/graphics/kipi-plugin-dngconverter/pkg-plist	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-dngconverter/pkg-plist	Tue Jan 21 18:17:23 2014	(r340628)
@@ -3,11 +3,11 @@ bin/dnginfo
 lib/kde4/kipiplugin_dngconverter.so
 share/applications/kde4/dngconverter.desktop
 share/apps/kipi/kipiplugin_dngconverterui.rc
-share/icons/hicolor/128x128/apps/dngconverter.png
-share/icons/hicolor/16x16/apps/dngconverter.png
-share/icons/hicolor/22x22/apps/dngconverter.png
-share/icons/hicolor/32x32/apps/dngconverter.png
-share/icons/hicolor/48x48/apps/dngconverter.png
-share/icons/hicolor/64x64/apps/dngconverter.png
-share/icons/hicolor/scalable/apps/dngconverter.svgz
+share/icons/hicolor/128x128/apps/kipi-dngconverter.png
+share/icons/hicolor/16x16/apps/kipi-dngconverter.png
+share/icons/hicolor/22x22/apps/kipi-dngconverter.png
+share/icons/hicolor/32x32/apps/kipi-dngconverter.png
+share/icons/hicolor/48x48/apps/kipi-dngconverter.png
+share/icons/hicolor/64x64/apps/kipi-dngconverter.png
+share/icons/hicolor/scalable/apps/kipi-dngconverter.svgz
 share/kde4/services/kipiplugin_dngconverter.desktop

Modified: head/graphics/kipi-plugin-expoblending/Makefile
==============================================================================
--- head/graphics/kipi-plugin-expoblending/Makefile	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-expoblending/Makefile	Tue Jan 21 18:17:23 2014	(r340628)
@@ -8,6 +8,5 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${KIPI_PLUGIN}_DESC}
 
 KIPI_PLUGIN=	expoblending
-NO_STAGE=	yes
 .include "${.CURDIR}/../digikam-kde4/Makefile.common"
 .include <bsd.port.mk>

Modified: head/graphics/kipi-plugin-expoblending/pkg-plist
==============================================================================
--- head/graphics/kipi-plugin-expoblending/pkg-plist	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-expoblending/pkg-plist	Tue Jan 21 18:17:23 2014	(r340628)
@@ -6,10 +6,10 @@ share/apps/kipiplugin_expoblending/pics/
 share/apps/kipiplugin_expoblending/pics/assistant-preprocessing.png
 share/apps/kipiplugin_expoblending/pics/assistant-stack.png
 share/apps/kipiplugin_expoblending/pics/assistant-tripod.png
-share/icons/hicolor/16x16/actions/expoblending.png
-share/icons/hicolor/22x22/actions/expoblending.png
-share/icons/hicolor/32x32/actions/expoblending.png
-share/icons/hicolor/48x48/actions/expoblending.png
+share/icons/hicolor/16x16/apps/kipi-expoblending.png
+share/icons/hicolor/22x22/apps/kipi-expoblending.png
+share/icons/hicolor/32x32/apps/kipi-expoblending.png
+share/icons/hicolor/48x48/apps/kipi-expoblending.png
 share/kde4/services/kipiplugin_expoblending.desktop
 @dirrm share/apps/kipiplugin_expoblending/pics
 @dirrm share/apps/kipiplugin_expoblending

Modified: head/graphics/kipi-plugin-facebook/Makefile
==============================================================================
--- head/graphics/kipi-plugin-facebook/Makefile	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-facebook/Makefile	Tue Jan 21 18:17:23 2014	(r340628)
@@ -7,9 +7,8 @@ CATEGORIES=	graphics kde
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${KIPI_PLUGIN}_DESC}
 
-LIB_DEPENDS=	qjson:${PORTSDIR}/devel/qjson
+LIB_DEPENDS=	libqjson.so:${PORTSDIR}/devel/qjson
 
 KIPI_PLUGIN=	facebook
-NO_STAGE=	yes
 .include "${.CURDIR}/../digikam-kde4/Makefile.common"
 .include <bsd.port.mk>

Modified: head/graphics/kipi-plugin-facebook/pkg-plist
==============================================================================
--- head/graphics/kipi-plugin-facebook/pkg-plist	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-facebook/pkg-plist	Tue Jan 21 18:17:23 2014	(r340628)
@@ -1,8 +1,8 @@
 lib/kde4/kipiplugin_facebook.so
 share/apps/kipi/kipiplugin_facebookui.rc
-share/icons/hicolor/16x16/actions/facebook.png
-share/icons/hicolor/22x22/actions/facebook.png
-share/icons/hicolor/32x32/actions/facebook.png
-share/icons/hicolor/48x48/actions/facebook.png
-share/icons/hicolor/scalable/actions/facebook.svgz
+share/icons/hicolor/16x16/apps/kipi-facebook.png
+share/icons/hicolor/22x22/apps/kipi-facebook.png
+share/icons/hicolor/32x32/apps/kipi-facebook.png
+share/icons/hicolor/48x48/apps/kipi-facebook.png
+share/icons/hicolor/scalable/apps/kipi-facebook.svgz
 share/kde4/services/kipiplugin_facebook.desktop

Modified: head/graphics/kipi-plugin-flashexport/Makefile
==============================================================================
--- head/graphics/kipi-plugin-flashexport/Makefile	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-flashexport/Makefile	Tue Jan 21 18:17:23 2014	(r340628)
@@ -8,6 +8,5 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${KIPI_PLUGIN}_DESC}
 
 KIPI_PLUGIN=	flashexport
-NO_STAGE=	yes
 .include "${.CURDIR}/../digikam-kde4/Makefile.common"
 .include <bsd.port.mk>

Modified: head/graphics/kipi-plugin-flashexport/pkg-plist
==============================================================================
--- head/graphics/kipi-plugin-flashexport/pkg-plist	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-flashexport/pkg-plist	Tue Jan 21 18:17:23 2014	(r340628)
@@ -5,12 +5,12 @@ share/apps/kipiplugin_flashexport/index2
 share/apps/kipiplugin_flashexport/index3.template
 share/apps/kipiplugin_flashexport/index4.template
 share/apps/kipiplugin_flashexport/simpleviewer_html/space.png
-share/icons/hicolor/128x128/actions/flash.png
-share/icons/hicolor/16x16/actions/flash.png
-share/icons/hicolor/22x22/actions/flash.png
-share/icons/hicolor/32x32/actions/flash.png
-share/icons/hicolor/48x48/actions/flash.png
-share/icons/hicolor/scalable/actions/flash.svgz
+share/icons/hicolor/128x128/apps/kipi-flash.png
+share/icons/hicolor/16x16/apps/kipi-flash.png
+share/icons/hicolor/22x22/apps/kipi-flash.png
+share/icons/hicolor/32x32/apps/kipi-flash.png
+share/icons/hicolor/48x48/apps/kipi-flash.png
+share/icons/hicolor/scalable/apps/kipi-flash.svgz
 share/kde4/services/kipiplugin_flashexport.desktop
 @dirrm share/apps/kipiplugin_flashexport/simpleviewer_html
 @dirrm share/apps/kipiplugin_flashexport

Modified: head/graphics/kipi-plugin-flickrexport/Makefile
==============================================================================
--- head/graphics/kipi-plugin-flickrexport/Makefile	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-flickrexport/Makefile	Tue Jan 21 18:17:23 2014	(r340628)
@@ -8,6 +8,5 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${KIPI_PLUGIN}_DESC}
 
 KIPI_PLUGIN=	flickrexport
-NO_STAGE=	yes
 .include "${.CURDIR}/../digikam-kde4/Makefile.common"
 .include <bsd.port.mk>

Modified: head/graphics/kipi-plugin-flickrexport/pkg-plist
==============================================================================
--- head/graphics/kipi-plugin-flickrexport/pkg-plist	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-flickrexport/pkg-plist	Tue Jan 21 18:17:23 2014	(r340628)
@@ -1,18 +1,18 @@
 lib/kde4/kipiplugin_flickrexport.so
 share/apps/kipi/kipiplugin_flickrexportui.rc
-share/icons/hicolor/16x16/actions/flickr.png
-share/icons/hicolor/16x16/actions/hq.png
-share/icons/hicolor/16x16/actions/zooomr.png
-share/icons/hicolor/22x22/actions/flickr.png
-share/icons/hicolor/22x22/actions/hq.png
-share/icons/hicolor/22x22/actions/zooomr.png
-share/icons/hicolor/32x32/actions/flickr.png
-share/icons/hicolor/32x32/actions/hq.png
-share/icons/hicolor/32x32/actions/zooomr.png
-share/icons/hicolor/48x48/actions/flickr.png
-share/icons/hicolor/48x48/actions/hq.png
-share/icons/hicolor/48x48/actions/zooomr.png
-share/icons/hicolor/scalable/actions/flickr.svgz
-share/icons/hicolor/scalable/actions/hq.svgz
-share/icons/hicolor/scalable/actions/zooomr.svgz
+share/icons/hicolor/16x16/apps/kipi-flickr.png
+share/icons/hicolor/16x16/apps/kipi-hq.png
+share/icons/hicolor/16x16/apps/kipi-zooomr.png
+share/icons/hicolor/22x22/apps/kipi-flickr.png
+share/icons/hicolor/22x22/apps/kipi-hq.png
+share/icons/hicolor/22x22/apps/kipi-zooomr.png
+share/icons/hicolor/32x32/apps/kipi-flickr.png
+share/icons/hicolor/32x32/apps/kipi-hq.png
+share/icons/hicolor/32x32/apps/kipi-zooomr.png
+share/icons/hicolor/48x48/apps/kipi-flickr.png
+share/icons/hicolor/48x48/apps/kipi-hq.png
+share/icons/hicolor/48x48/apps/kipi-zooomr.png
+share/icons/hicolor/scalable/apps/kipi-flickr.svgz
+share/icons/hicolor/scalable/apps/kipi-hq.svgz
+share/icons/hicolor/scalable/apps/kipi-zooomr.svgz
 share/kde4/services/kipiplugin_flickrexport.desktop

Modified: head/graphics/kipi-plugin-galleryexport/Makefile
==============================================================================
--- head/graphics/kipi-plugin-galleryexport/Makefile	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-galleryexport/Makefile	Tue Jan 21 18:17:23 2014	(r340628)
@@ -8,6 +8,5 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${KIPI_PLUGIN}_DESC}
 
 KIPI_PLUGIN=	galleryexport
-NO_STAGE=	yes
 .include "${.CURDIR}/../digikam-kde4/Makefile.common"
 .include <bsd.port.mk>

Modified: head/graphics/kipi-plugin-galleryexport/pkg-plist
==============================================================================
--- head/graphics/kipi-plugin-galleryexport/pkg-plist	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-galleryexport/pkg-plist	Tue Jan 21 18:17:23 2014	(r340628)
@@ -1,11 +1,11 @@
 lib/kde4/kipiplugin_galleryexport.so
 share/apps/kipi/kipiplugin_galleryexportui.rc
 share/apps/kipiplugin_galleryexport/pics/gallery_logo.png
-share/icons/hicolor/16x16/actions/gallery.png
-share/icons/hicolor/22x22/actions/gallery.png
-share/icons/hicolor/32x32/actions/gallery.png
-share/icons/hicolor/48x48/actions/gallery.png
-share/icons/hicolor/scalable/actions/gallery.svgz
+share/icons/hicolor/16x16/apps/kipi-gallery.png
+share/icons/hicolor/22x22/apps/kipi-gallery.png
+share/icons/hicolor/32x32/apps/kipi-gallery.png
+share/icons/hicolor/48x48/apps/kipi-gallery.png
+share/icons/hicolor/scalable/apps/kipi-gallery.svgz
 share/kde4/services/kipiplugin_galleryexport.desktop
 @dirrm share/apps/kipiplugin_galleryexport/pics
 @dirrm share/apps/kipiplugin_galleryexport

Modified: head/graphics/kipi-plugin-gpssync/Makefile
==============================================================================
--- head/graphics/kipi-plugin-gpssync/Makefile	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-gpssync/Makefile	Tue Jan 21 18:17:23 2014	(r340628)
@@ -7,9 +7,8 @@ CATEGORIES=	graphics kde
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${KIPI_PLUGIN}_DESC}
 
-LIB_DEPENDS=	kgeomap:${PORTSDIR}/astro/libkgeomap
+LIB_DEPENDS=	libkgeomap.so:${PORTSDIR}/astro/libkgeomap
 
 KIPI_PLUGIN=	gpssync
-NO_STAGE=	yes
 .include "${.CURDIR}/../digikam-kde4/Makefile.common"
 .include <bsd.port.mk>

Modified: head/graphics/kipi-plugin-gpssync/pkg-plist
==============================================================================
--- head/graphics/kipi-plugin-gpssync/pkg-plist	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-gpssync/pkg-plist	Tue Jan 21 18:17:23 2014	(r340628)
@@ -3,7 +3,7 @@ share/apps/gpssync/bookmarks-marker.png
 share/apps/gpssync/searchmarker-normal.png
 share/apps/gpssync/searchmarker-selected.png
 share/apps/kipi/kipiplugin_gpssyncui.rc
-share/icons/hicolor/16x16/actions/gpsimagetag.png
-share/icons/hicolor/32x32/actions/gpsimagetag.png
+share/icons/hicolor/16x16/apps/kipi-gpsimagetag.png
+share/icons/hicolor/32x32/apps/kipi-gpsimagetag.png
 share/kde4/services/kipiplugin_gpssync.desktop
 @dirrm share/apps/gpssync

Modified: head/graphics/kipi-plugin-htmlexport/Makefile
==============================================================================
--- head/graphics/kipi-plugin-htmlexport/Makefile	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-htmlexport/Makefile	Tue Jan 21 18:17:23 2014	(r340628)
@@ -8,6 +8,5 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${KIPI_PLUGIN}_DESC}
 
 KIPI_PLUGIN=	htmlexport
-NO_STAGE=	yes
 .include "${.CURDIR}/../digikam-kde4/Makefile.common"
 .include <bsd.port.mk>

Modified: head/graphics/kipi-plugin-imageshackexport/Makefile
==============================================================================
--- head/graphics/kipi-plugin-imageshackexport/Makefile	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-imageshackexport/Makefile	Tue Jan 21 18:17:23 2014	(r340628)
@@ -8,6 +8,5 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${KIPI_PLUGIN}_DESC}
 
 KIPI_PLUGIN=	imageshackexport
-NO_STAGE=	yes
 .include "${.CURDIR}/../digikam-kde4/Makefile.common"
 .include <bsd.port.mk>

Modified: head/graphics/kipi-plugin-imageshackexport/pkg-plist
==============================================================================
--- head/graphics/kipi-plugin-imageshackexport/pkg-plist	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-imageshackexport/pkg-plist	Tue Jan 21 18:17:23 2014	(r340628)
@@ -1,6 +1,6 @@
 lib/kde4/kipiplugin_imageshackexport.so
 share/apps/kipi/kipiplugin_imageshackexportui.rc
-share/icons/hicolor/32x32/actions/imageshack.png
-share/icons/hicolor/48x48/actions/imageshack.png
-share/icons/hicolor/64x64/actions/imageshack.png
+share/icons/hicolor/32x32/apps/kipi-imageshack.png
+share/icons/hicolor/48x48/apps/kipi-imageshack.png
+share/icons/hicolor/64x64/apps/kipi-imageshack.png
 share/kde4/services/kipiplugin_imageshackexport.desktop

Modified: head/graphics/kipi-plugin-imageviewer/Makefile
==============================================================================
--- head/graphics/kipi-plugin-imageviewer/Makefile	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-imageviewer/Makefile	Tue Jan 21 18:17:23 2014	(r340628)
@@ -11,6 +11,5 @@ USE_GL=		glu
 USE_XORG=	xrandr
 
 KIPI_PLUGIN=	imageviewer
-NO_STAGE=	yes
 .include "${.CURDIR}/../digikam-kde4/Makefile.common"
 .include <bsd.port.mk>

Modified: head/graphics/kipi-plugin-imageviewer/pkg-plist
==============================================================================
--- head/graphics/kipi-plugin-imageviewer/pkg-plist	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-imageviewer/pkg-plist	Tue Jan 21 18:17:23 2014	(r340628)
@@ -3,8 +3,8 @@ share/apps/kipi/kipiplugin_imageviewerui
 share/apps/kipiplugin_imageviewer/pics/hand.png
 share/apps/kipiplugin_imageviewer/pics/nullImage.png
 share/apps/kipiplugin_imageviewer/pics/zoom.png
-share/icons/hicolor/16x16/actions/ogl.png
-share/icons/hicolor/32x32/actions/ogl.png
+share/icons/hicolor/16x16/apps/kipi-ogl.png
+share/icons/hicolor/32x32/apps/kipi-ogl.png
 share/kde4/services/kipiplugin_imageviewer.desktop
 @dirrm share/apps/kipiplugin_imageviewer/pics
 @dirrm share/apps/kipiplugin_imageviewer

Modified: head/graphics/kipi-plugin-imgurexport/Makefile
==============================================================================
--- head/graphics/kipi-plugin-imgurexport/Makefile	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-imgurexport/Makefile	Tue Jan 21 18:17:23 2014	(r340628)
@@ -7,9 +7,8 @@ CATEGORIES=	graphics kde
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${KIPI_PLUGIN}_DESC}
 
-LIB_DEPENDS=	qjson:${PORTSDIR}/devel/qjson
+LIB_DEPENDS=	libqjson.so:${PORTSDIR}/devel/qjson
 
 KIPI_PLUGIN=	imgurexport
-NO_STAGE=	yes
 .include "${.CURDIR}/../digikam-kde4/Makefile.common"
 .include <bsd.port.mk>

Modified: head/graphics/kipi-plugin-imgurexport/pkg-plist
==============================================================================
--- head/graphics/kipi-plugin-imgurexport/pkg-plist	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-imgurexport/pkg-plist	Tue Jan 21 18:17:23 2014	(r340628)
@@ -1,8 +1,8 @@
 lib/kde4/kipiplugin_imgurexport.so
 share/apps/kipi/kipiplugin_imgurexportui.rc
-share/icons/hicolor/16x16/actions/imgur.png
-share/icons/hicolor/22x22/actions/imgur.png
-share/icons/hicolor/32x32/actions/imgur.png
-share/icons/hicolor/48x48/actions/imgur.png
-share/icons/hicolor/scalable/actions/imgur.svgz
+share/icons/hicolor/16x16/apps/kipi-imgur.png
+share/icons/hicolor/22x22/apps/kipi-imgur.png
+share/icons/hicolor/32x32/apps/kipi-imgur.png
+share/icons/hicolor/48x48/apps/kipi-imgur.png
+share/icons/hicolor/scalable/apps/kipi-imgur.svgz
 share/kde4/services/kipiplugin_imgurexport.desktop

Modified: head/graphics/kipi-plugin-ipodexport/Makefile
==============================================================================
--- head/graphics/kipi-plugin-ipodexport/Makefile	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-ipodexport/Makefile	Tue Jan 21 18:17:23 2014	(r340628)
@@ -7,9 +7,8 @@ CATEGORIES=	graphics kde
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${KIPI_PLUGIN}_DESC}
 
-LIB_DEPENDS=	gpod:${PORTSDIR}/audio/libgpod
+LIB_DEPENDS=	libgpod.so:${PORTSDIR}/audio/libgpod
 
 KIPI_PLUGIN=	ipodexport
-NO_STAGE=	yes
 .include "${.CURDIR}/../digikam-kde4/Makefile.common"
 .include <bsd.port.mk>

Added: head/graphics/kipi-plugin-jalbumexport/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/kipi-plugin-jalbumexport/Makefile	Tue Jan 21 18:17:23 2014	(r340628)
@@ -0,0 +1,12 @@
+# $FreeBSD$
+
+PORTNAME=	kipi-plugin-${KIPI_PLUGIN}
+PORTVERSION=	${DIGIKAM_VER}
+CATEGORIES=	graphics kde
+
+MAINTAINER=	kde@FreeBSD.org
+COMMENT=	${${KIPI_PLUGIN}_DESC}
+
+KIPI_PLUGIN=	jalbumexport
+.include "${.CURDIR}/../digikam-kde4/Makefile.common"
+.include <bsd.port.mk>

Added: head/graphics/kipi-plugin-jalbumexport/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/kipi-plugin-jalbumexport/pkg-plist	Tue Jan 21 18:17:23 2014	(r340628)
@@ -0,0 +1,6 @@
+lib/kde4/kipiplugin_jalbumexport.so
+share/apps/kipi/kipiplugin_jalbumexportui.rc
+share/icons/hicolor/16x16/apps/kipi-jalbum.png
+share/icons/hicolor/24x24/apps/kipi-jalbum.png
+share/icons/hicolor/32x32/apps/kipi-jalbum.png
+share/kde4/services/kipiplugin_jalbumexport.desktop

Modified: head/graphics/kipi-plugin-jpeglossless/Makefile
==============================================================================
--- head/graphics/kipi-plugin-jpeglossless/Makefile	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-jpeglossless/Makefile	Tue Jan 21 18:17:23 2014	(r340628)
@@ -8,6 +8,5 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${KIPI_PLUGIN}_DESC}
 
 KIPI_PLUGIN=	jpeglossless
-NO_STAGE=	yes
 .include "${.CURDIR}/../digikam-kde4/Makefile.common"
 .include <bsd.port.mk>

Modified: head/graphics/kipi-plugin-kioexport/Makefile
==============================================================================
--- head/graphics/kipi-plugin-kioexport/Makefile	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-kioexport/Makefile	Tue Jan 21 18:17:23 2014	(r340628)
@@ -8,6 +8,5 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${KIPI_PLUGIN}_DESC}
 
 KIPI_PLUGIN=	kioexport
-NO_STAGE=	yes
 .include "${.CURDIR}/../digikam-kde4/Makefile.common"
 .include <bsd.port.mk>

Modified: head/graphics/kipi-plugin-kmlexport/Makefile
==============================================================================
--- head/graphics/kipi-plugin-kmlexport/Makefile	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-kmlexport/Makefile	Tue Jan 21 18:17:23 2014	(r340628)
@@ -8,6 +8,5 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${KIPI_PLUGIN}_DESC}
 
 KIPI_PLUGIN=	kmlexport
-NO_STAGE=	yes
 .include "${.CURDIR}/../digikam-kde4/Makefile.common"
 .include <bsd.port.mk>

Modified: head/graphics/kipi-plugin-kopete/Makefile
==============================================================================
--- head/graphics/kipi-plugin-kopete/Makefile	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-kopete/Makefile	Tue Jan 21 18:17:23 2014	(r340628)
@@ -8,6 +8,5 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${KIPI_PLUGIN}_DESC}
 
 KIPI_PLUGIN=	kopete
-NO_STAGE=	yes
 .include "${.CURDIR}/../digikam-kde4/Makefile.common"
 .include <bsd.port.mk>

Modified: head/graphics/kipi-plugin-mediawiki/Makefile
==============================================================================
--- head/graphics/kipi-plugin-mediawiki/Makefile	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-mediawiki/Makefile	Tue Jan 21 18:17:23 2014	(r340628)
@@ -7,9 +7,8 @@ CATEGORIES=	graphics kde
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${KIPI_PLUGIN}_DESC}
 
-LIB_DEPENDS=	mediawiki:${PORTSDIR}/net/libmediawiki
+LIB_DEPENDS=	libmediawiki.so:${PORTSDIR}/net/libmediawiki
 
 KIPI_PLUGIN=	mediawiki
-NO_STAGE=	yes
 .include "${.CURDIR}/../digikam-kde4/Makefile.common"
 .include <bsd.port.mk>

Modified: head/graphics/kipi-plugin-mediawiki/pkg-plist
==============================================================================
--- head/graphics/kipi-plugin-mediawiki/pkg-plist	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-mediawiki/pkg-plist	Tue Jan 21 18:17:23 2014	(r340628)
@@ -1,8 +1,8 @@
 lib/kde4/kipiplugin_wikimedia.so
 share/apps/kipi/kipiplugin_wikimediaui.rc
-share/icons/hicolor/16x16/actions/wikimedia.png
-share/icons/hicolor/22x22/actions/wikimedia.png
-share/icons/hicolor/32x32/actions/wikimedia.png
-share/icons/hicolor/48x48/actions/wikimedia.png
-share/icons/hicolor/scalable/actions/wikimedia.svgz
+share/icons/hicolor/16x16/apps/kipi-wikimedia.png
+share/icons/hicolor/22x22/apps/kipi-wikimedia.png
+share/icons/hicolor/32x32/apps/kipi-wikimedia.png
+share/icons/hicolor/48x48/apps/kipi-wikimedia.png
+share/icons/hicolor/scalable/apps/kipi-wikimedia.svgz
 share/kde4/services/kipiplugin_wikimedia.desktop

Modified: head/graphics/kipi-plugin-metadataedit/Makefile
==============================================================================
--- head/graphics/kipi-plugin-metadataedit/Makefile	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-metadataedit/Makefile	Tue Jan 21 18:17:23 2014	(r340628)
@@ -8,6 +8,5 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${KIPI_PLUGIN}_DESC}
 
 KIPI_PLUGIN=	metadataedit
-NO_STAGE=	yes
 .include "${.CURDIR}/../digikam-kde4/Makefile.common"
 .include <bsd.port.mk>

Modified: head/graphics/kipi-plugin-metadataedit/pkg-plist
==============================================================================
--- head/graphics/kipi-plugin-metadataedit/pkg-plist	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-metadataedit/pkg-plist	Tue Jan 21 18:17:23 2014	(r340628)
@@ -1,4 +1,4 @@
 lib/kde4/kipiplugin_metadataedit.so
 share/apps/kipi/kipiplugin_metadataeditui.rc
-share/icons/hicolor/64x64/actions/metadataedit.png
+share/icons/hicolor/64x64/apps/kipi-metadataedit.png
 share/kde4/services/kipiplugin_metadataedit.desktop

Modified: head/graphics/kipi-plugin-panorama/Makefile
==============================================================================
--- head/graphics/kipi-plugin-panorama/Makefile	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-panorama/Makefile	Tue Jan 21 18:17:23 2014	(r340628)
@@ -10,6 +10,5 @@ COMMENT=	${${KIPI_PLUGIN}_DESC}
 USES=		bison:build
 
 KIPI_PLUGIN=	panorama
-NO_STAGE=	yes
 .include "${.CURDIR}/../digikam-kde4/Makefile.common"
 .include <bsd.port.mk>

Modified: head/graphics/kipi-plugin-panorama/pkg-plist
==============================================================================
--- head/graphics/kipi-plugin-panorama/pkg-plist	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-panorama/pkg-plist	Tue Jan 21 18:17:23 2014	(r340628)
@@ -6,11 +6,11 @@ share/apps/kipiplugin_panorama/pics/assi
 share/apps/kipiplugin_panorama/pics/assistant-preprocessing.png
 share/apps/kipiplugin_panorama/pics/assistant-stack.png
 share/apps/kipiplugin_panorama/pics/assistant-tripod.png
-share/icons/hicolor/16x16/actions/panorama.png
-share/icons/hicolor/22x22/actions/panorama.png
-share/icons/hicolor/32x32/actions/panorama.png
-share/icons/hicolor/48x48/actions/panorama.png
-share/icons/hicolor/scalable/actions/panorama.svgz
+share/icons/hicolor/16x16/apps/kipi-panorama.png
+share/icons/hicolor/22x22/apps/kipi-panorama.png
+share/icons/hicolor/32x32/apps/kipi-panorama.png
+share/icons/hicolor/48x48/apps/kipi-panorama.png
+share/icons/hicolor/scalable/apps/kipi-panorama.svgz
 share/kde4/services/kipiplugin_panorama.desktop
 @dirrm share/apps/kipiplugin_panorama/pics
 @dirrm share/apps/kipiplugin_panorama

Modified: head/graphics/kipi-plugin-photolayoutseditor/Makefile
==============================================================================
--- head/graphics/kipi-plugin-photolayoutseditor/Makefile	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-photolayoutseditor/Makefile	Tue Jan 21 18:17:23 2014	(r340628)
@@ -8,6 +8,5 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${KIPI_PLUGIN}_DESC}
 
 KIPI_PLUGIN=	photolayoutseditor
-NO_STAGE=	yes
 .include "${.CURDIR}/../digikam-kde4/Makefile.common"
 .include <bsd.port.mk>

Modified: head/graphics/kipi-plugin-photolayoutseditor/pkg-plist
==============================================================================
--- head/graphics/kipi-plugin-photolayoutseditor/pkg-plist	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-photolayoutseditor/pkg-plist	Tue Jan 21 18:17:23 2014	(r340628)
@@ -4,7 +4,7 @@ lib/libPropertyBrowser.a
 share/applications/kde4/photolayoutseditor.desktop
 share/apps/kipi/kipiplugin_photolayoutseditorui.rc
 share/apps/photolayoutseditor/photolayoutseditorui.rc
-share/config.kcfg/PLEConfigSkeleton.kcfgc
+share/config.kcfg/photolayoutseditor.kcfg
 share/icons/hicolor/128x128/apps/photolayoutseditor.png
 share/icons/hicolor/16x16/apps/photolayoutseditor.png
 share/icons/hicolor/22x22/apps/photolayoutseditor.png

Modified: head/graphics/kipi-plugin-picasawebexport/Makefile
==============================================================================
--- head/graphics/kipi-plugin-picasawebexport/Makefile	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-picasawebexport/Makefile	Tue Jan 21 18:17:23 2014	(r340628)
@@ -8,6 +8,5 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${KIPI_PLUGIN}_DESC}
 
 KIPI_PLUGIN=	picasawebexport
-NO_STAGE=	yes
 .include "${.CURDIR}/../digikam-kde4/Makefile.common"
 .include <bsd.port.mk>

Modified: head/graphics/kipi-plugin-picasawebexport/pkg-plist
==============================================================================
--- head/graphics/kipi-plugin-picasawebexport/pkg-plist	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-picasawebexport/pkg-plist	Tue Jan 21 18:17:23 2014	(r340628)
@@ -1,8 +1,8 @@
 lib/kde4/kipiplugin_picasawebexport.so
 share/apps/kipi/kipiplugin_picasawebexportui.rc
-share/icons/hicolor/16x16/actions/picasa.png
-share/icons/hicolor/22x22/actions/picasa.png
-share/icons/hicolor/32x32/actions/picasa.png
-share/icons/hicolor/48x48/actions/picasa.png
-share/icons/hicolor/scalable/actions/picasa.svgz
+share/icons/hicolor/16x16/apps/kipi-picasa.png
+share/icons/hicolor/22x22/apps/kipi-picasa.png
+share/icons/hicolor/32x32/apps/kipi-picasa.png
+share/icons/hicolor/48x48/apps/kipi-picasa.png
+share/icons/hicolor/scalable/apps/kipi-picasa.svgz
 share/kde4/services/kipiplugin_picasawebexport.desktop

Modified: head/graphics/kipi-plugin-piwigoexport/Makefile
==============================================================================
--- head/graphics/kipi-plugin-piwigoexport/Makefile	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-piwigoexport/Makefile	Tue Jan 21 18:17:23 2014	(r340628)
@@ -8,6 +8,5 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${KIPI_PLUGIN}_DESC}
 
 KIPI_PLUGIN=	piwigoexport
-NO_STAGE=	yes
 .include "${.CURDIR}/../digikam-kde4/Makefile.common"
 .include <bsd.port.mk>

Modified: head/graphics/kipi-plugin-piwigoexport/pkg-plist
==============================================================================
--- head/graphics/kipi-plugin-piwigoexport/pkg-plist	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-piwigoexport/pkg-plist	Tue Jan 21 18:17:23 2014	(r340628)
@@ -1,11 +1,11 @@
 lib/kde4/kipiplugin_piwigoexport.so
 share/apps/kipi/kipiplugin_piwigoexportui.rc
 share/apps/kipiplugin_piwigoexport/pics/piwigo_logo.png
-share/icons/hicolor/16x16/actions/piwigo.png
-share/icons/hicolor/22x22/actions/piwigo.png
-share/icons/hicolor/32x32/actions/piwigo.png
-share/icons/hicolor/48x48/actions/piwigo.png
-share/icons/hicolor/scalable/actions/piwigo.svgz
+share/icons/hicolor/16x16/apps/kipi-piwigo.png
+share/icons/hicolor/22x22/apps/kipi-piwigo.png
+share/icons/hicolor/32x32/apps/kipi-piwigo.png
+share/icons/hicolor/48x48/apps/kipi-piwigo.png
+share/icons/hicolor/scalable/apps/kipi-piwigo.svgz
 share/kde4/services/kipiplugin_piwigoexport.desktop
 @dirrm share/apps/kipiplugin_piwigoexport/pics
 @dirrm share/apps/kipiplugin_piwigoexport

Modified: head/graphics/kipi-plugin-printimages/Makefile
==============================================================================
--- head/graphics/kipi-plugin-printimages/Makefile	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-printimages/Makefile	Tue Jan 21 18:17:23 2014	(r340628)
@@ -8,6 +8,5 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${KIPI_PLUGIN}_DESC}
 
 KIPI_PLUGIN=	printimages
-NO_STAGE=	yes
 .include "${.CURDIR}/../digikam-kde4/Makefile.common"
 .include <bsd.port.mk>

Modified: head/graphics/kipi-plugin-rajceexport/Makefile
==============================================================================
--- head/graphics/kipi-plugin-rajceexport/Makefile	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-rajceexport/Makefile	Tue Jan 21 18:17:23 2014	(r340628)
@@ -8,6 +8,5 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${KIPI_PLUGIN}_DESC}
 
 KIPI_PLUGIN=	rajceexport
-NO_STAGE=	yes
 .include "${.CURDIR}/../digikam-kde4/Makefile.common"
 .include <bsd.port.mk>

Modified: head/graphics/kipi-plugin-rajceexport/pkg-plist
==============================================================================
--- head/graphics/kipi-plugin-rajceexport/pkg-plist	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-rajceexport/pkg-plist	Tue Jan 21 18:17:23 2014	(r340628)
@@ -1,7 +1,7 @@
 lib/kde4/kipiplugin_rajceexport.so
 share/apps/kipi/kipiplugin_rajceexportui.rc
-share/icons/hicolor/16x16/actions/rajce.png
-share/icons/hicolor/32x32/actions/rajce.png
-share/icons/hicolor/48x48/actions/rajce.png
-share/icons/hicolor/64x64/actions/rajce.png
+share/icons/hicolor/16x16/apps/kipi-rajce.png
+share/icons/hicolor/32x32/apps/kipi-rajce.png
+share/icons/hicolor/48x48/apps/kipi-rajce.png
+share/icons/hicolor/64x64/apps/kipi-rajce.png
 share/kde4/services/kipiplugin_rajceexport.desktop

Modified: head/graphics/kipi-plugin-rawconverter/Makefile
==============================================================================
--- head/graphics/kipi-plugin-rawconverter/Makefile	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-rawconverter/Makefile	Tue Jan 21 18:17:23 2014	(r340628)
@@ -8,6 +8,5 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${KIPI_PLUGIN}_DESC}
 
 KIPI_PLUGIN=	rawconverter
-NO_STAGE=	yes
 .include "${.CURDIR}/../digikam-kde4/Makefile.common"
 .include <bsd.port.mk>

Modified: head/graphics/kipi-plugin-removeredeyes/Makefile
==============================================================================
--- head/graphics/kipi-plugin-removeredeyes/Makefile	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-removeredeyes/Makefile	Tue Jan 21 18:17:23 2014	(r340628)
@@ -2,7 +2,6 @@
 
 PORTNAME=	kipi-plugin-${KIPI_PLUGIN}
 PORTVERSION=	${DIGIKAM_VER}
-PORTREVISION=	1
 CATEGORIES=	graphics kde
 
 MAINTAINER=	kde@FreeBSD.org
@@ -11,6 +10,5 @@ COMMENT=	${${KIPI_PLUGIN}_DESC}
 LIB_DEPENDS=	libopencv_legacy.so:${PORTSDIR}/graphics/opencv
 
 KIPI_PLUGIN=	removeredeyes
-NO_STAGE=	yes
 .include "${.CURDIR}/../digikam-kde4/Makefile.common"
 .include <bsd.port.mk>

Modified: head/graphics/kipi-plugin-sendimages/Makefile
==============================================================================
--- head/graphics/kipi-plugin-sendimages/Makefile	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-sendimages/Makefile	Tue Jan 21 18:17:23 2014	(r340628)
@@ -8,6 +8,5 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${KIPI_PLUGIN}_DESC}
 
 KIPI_PLUGIN=	sendimages
-NO_STAGE=	yes
 .include "${.CURDIR}/../digikam-kde4/Makefile.common"
 .include <bsd.port.mk>

Modified: head/graphics/kipi-plugin-shwup/Makefile
==============================================================================
--- head/graphics/kipi-plugin-shwup/Makefile	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-shwup/Makefile	Tue Jan 21 18:17:23 2014	(r340628)
@@ -7,9 +7,8 @@ CATEGORIES=	graphics kde
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${KIPI_PLUGIN}_DESC}
 
-LIB_DEPENDS=	qca:${PORTSDIR}/devel/qca
+LIB_DEPENDS=	libqca.so:${PORTSDIR}/devel/qca
 
 KIPI_PLUGIN=	shwup
-NO_STAGE=	yes
 .include "${.CURDIR}/../digikam-kde4/Makefile.common"
 .include <bsd.port.mk>

Modified: head/graphics/kipi-plugin-shwup/pkg-plist
==============================================================================
--- head/graphics/kipi-plugin-shwup/pkg-plist	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-shwup/pkg-plist	Tue Jan 21 18:17:23 2014	(r340628)
@@ -1,7 +1,7 @@
 lib/kde4/kipiplugin_shwup.so
 share/apps/kipi/kipiplugin_shwupui.rc
-share/icons/hicolor/16x16/actions/shwup.png
-share/icons/hicolor/22x22/actions/shwup.png
-share/icons/hicolor/32x32/actions/shwup.png
-share/icons/hicolor/48x48/actions/shwup.png
+share/icons/hicolor/16x16/apps/kipi-shwup.png
+share/icons/hicolor/22x22/apps/kipi-shwup.png
+share/icons/hicolor/32x32/apps/kipi-shwup.png
+share/icons/hicolor/48x48/apps/kipi-shwup.png
 share/kde4/services/kipiplugin_shwup.desktop

Modified: head/graphics/kipi-plugin-smug/Makefile
==============================================================================
--- head/graphics/kipi-plugin-smug/Makefile	Tue Jan 21 18:16:36 2014	(r340627)
+++ head/graphics/kipi-plugin-smug/Makefile	Tue Jan 21 18:17:23 2014	(r340628)
@@ -8,6 +8,5 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${KIPI_PLUGIN}_DESC}
 
 KIPI_PLUGIN=	smug
-NO_STAGE=	yes
 .include "${.CURDIR}/../digikam-kde4/Makefile.common"

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Max Brazhnikov freebsd_committer 2014-01-21 18:19:02 UTC
State Changed
From-To: open->closed

Fixed in r340628 with update to 3.5.0. Thanks for report!